requests = {}

requests['count_photo'] = {
'params' : '',
'request' : '''select count(PHT_ID) from photo''' }

requests['insert_classe'] = {
'params' : 'CLS_NOM',
'request' : '''insert into classe(CLS_NOM)
values (<dtml-sqlvar CLS_NOM type=string>)''' }

requests['insert_commande'] = {
'params' : 'CMD_DATE',
'request' : '''insert into commande(CMD_DATE)
values (<dtml-sqlvar CMD_DATE type=string>)''' }

requests['insert_one_commande'] = {
'params' : 'PRT_ID CMD_ID PHT_ID QPH_NOMBRE',
'request' : '''insert into quellephoto(PRT_ID, CMD_ID, PHT_ID, QPH_NOMBRE)
values (<dtml-sqlvar PRT_ID type=int>,
<dtml-sqlvar CMD_ID type=int>,
<dtml-sqlvar PHT_ID type=int>,
<dtml-sqlvar QPH_NOMBRE type=int>)''' }

requests['insert_parent'] = {
'params' : 'CLS_ID PRT_NOM PRT_ENFANT',
'request' : '''insert into parent(CLS_ID, PRT_NOM, PRT_ENFANT)
values (
<dtml-sqlvar CLS_ID type=int>,
<dtml-sqlvar PRT_NOM type=string>,
<dtml-sqlvar PRT_ENFANT type=string>
)''' }

requests['select_classe'] = {
'params' : 'CLS_ID',
'request' : '''select * from classe
<dtml-if CLS_ID>
where
   <dtml-sqltest CLS_ID op=eq type=string>
</dtml-if>''' }

requests['select_commande'] = {
'params' : 'CMD_ID',
'request' : '''select * from commande
<dtml-if CMD_ID>
where
   <dtml-sqltest CMD_ID op=eq type=string>
</dtml-if>''' }

requests['select_commande_cd'] = {
'params' : 'CMD_ID',
'request' : '''select
  ph.PHT_FICHIER,
  qph.QPH_NOMBRE,
  pr.PRT_NOM,
  pr.PRT_ENFANT
from
  quellephoto qph join
  parent pr on qph.PRT_ID=pr.PRT_ID join
  photo ph on qph.PHT_ID=ph.PHT_ID
<dtml-if CMD_ID>
where
  qph.CMD_ID=<dtml-var CMD_ID>
</dtml-if>''' }

requests['select_commande_detail'] = {
'params' : 'CMD_ID PRT_ID',
'request' : '''select QPH.PRT_ID,
       QPH.CMD_ID,
       QPH.PHT_ID,
       QPH.QPH_NOMBRE,
       PHT.PHT_DESC,
       PHT.PHT_FICHIER,
       PRT.CLS_ID,
       PRT.PRT_NOM,
       PRT.PRT_ENFANT
from quellephoto as QPH, photo as PHT, parent as PRT

<dtml-sqlgroup where>
   QPH.PHT_ID = PHT.PHT_ID
<dtml-and>
   QPH.PRT_ID = PRT.PRT_ID
<dtml-and>
   <dtml-sqltest CMD_ID column=QPH.CMD_ID op=eq type=int optional>
<dtml-and>
   <dtml-sqltest PRT_ID column=QPH.PRT_ID op=eq type=int optional>
</dtml-sqlgroup>
ORDER BY `PHT_ID`''' }

requests['select_parent'] = {
'params' : 'PRT_ID',
'request' : '''select PRT.PRT_ID, PRT.PRT_ENFANT, PRT.PRT_NOM, CLS.CLS_NOM from parent as PRT, classe as CLS

<dtml-sqlgroup where>
   PRT.CLS_ID = CLS.CLS_ID
<dtml-and>
   <dtml-sqltest PRT_ID op=eq type=int optional>
</dtml-sqlgroup>''' }

requests['select_parent_cmd'] = {
'params' : 'CMD_ID',
'request' : '''select distinct QPH.PRT_ID,
       QPH.CMD_ID,
       PRT.PRT_NOM,
       PRT.PRT_ENFANT
from quellephoto as QPH, parent as PRT

<dtml-sqlgroup where>
   QPH.PRT_ID = PRT.PRT_ID
<dtml-and>
   <dtml-sqltest CMD_ID column=QPH.CMD_ID op=eq type=int optional>
<dtml-and>
   <dtml-sqltest PRT_ID column=QPH.PRT_ID op=eq type=int optional>
</dtml-sqlgroup>
ORDER BY `PRT_ID`''' }

requests['select_photo'] = {
'params' : 'PHT_ID',
'request' : '''select * from photo
<dtml-if PHT_ID>
where
   <dtml-sqltest PHT_ID op=eq type=string>
</dtml-if>''' }

requests['select_photo_number'] = {
'params' : '',
'request' : '''select
  sum(qp.QPH_NOMBRE) as nbr,
  qp.PHT_ID,
  ph.PHT_FICHIER
from
  quellephoto qp join
  photo ph on qp.PHT_ID=ph.PHT_ID
group
  by PHT_ID
order
  by nbr''' }
